Bug 181391 - lang/itcl: fix REINPLACE usage
Summary: lang/itcl: fix REINPLACE usage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 07:30 UTC by jeff.lawson
Modified: 2013-11-04 13:20 UTC (History)
0 users

See Also:


Attachments
itcl.diff (401 bytes, patch)
2013-08-19 07:30 UTC, jeff.lawson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jeff.lawson 2013-08-19 07:30:00 UTC
	The Makefile for the lang/itcl port was recently updated to use "sed -r" but the -r option is not supported on older versions of FreeBSD. However, -r is simply an alias for -E which does the same thing.

Fix: Apply attached patch.
How-To-Repeat: 	Just attempt to build lang/itcl (itcl-3.4.1,1) on 8.0-STABLE.  Build will fail on post-patch step.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-19 07:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-08-19 07:30:08 UTC
Maintainer of lang/itcl,

Please note that PR ports/181391 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181391

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 William Grzybowski freebsd_committer 2013-11-02 23:15:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 William Grzybowski freebsd_committer 2013-11-04 13:17:56 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-11-04 13:17:59 UTC
Author: wg
Date: Mon Nov  4 13:17:51 2013
New Revision: 332710
URL: http://svnweb.freebsd.org/changeset/ports/332710

Log:
  lang/itcl: fix sed for 8.x (no -r)
  
  PR:		ports/181391
  Submitted by:	Jeff Lawson <jeff.lawson flightaware.com>
  Approved by:	maintainer (timeout)

Modified:
  head/lang/itcl/Makefile

Modified: head/lang/itcl/Makefile
==============================================================================
--- head/lang/itcl/Makefile	Mon Nov  4 13:17:16 2013	(r332709)
+++ head/lang/itcl/Makefile	Mon Nov  4 13:17:51 2013	(r332710)
@@ -38,7 +38,7 @@ NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 post-patch:
-	${REINPLACE_CMD} -r '/^includedir/s|/include|/include/itcl${PORTVERSION:R}|' \
+	${REINPLACE_CMD} -E '/^includedir/s|/include|/include/itcl${PORTVERSION:R}|' \
 	    ${WRKSRC}/${CONFIGURE_SCRIPT}
 
 post-build test:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"